# 附录

介绍文件权限的含义和umask值的含义。

<!-- TOC -->

- [附录](#附录)
    - [文件和目录权限含义](#文件和目录权限含义)
    - [umask值含义](#umask值含义)

<!-- /TOC -->



## 文件和目录权限含义

Linux系统中文件和目录权限用于限定谁能通过何种方式对文件和目录进行访问和操作。文件和目录的访问权限分为只读，只写和可执行三种。

有三种不同类型的用户可对文件和目录进行访问：

-   文件所有者：文件的创建者。
-   同组用户：与文件所有者在同一个属组的用户。
-   其他用户：与文件所有者不在同一个属组的用户。

文件和目录的权限含义通过以下例子说明：

假设/usr/src的权限为755，将每位数字转化为二进制后为：111101101，含义如下：

-   左侧三个bit位111表示文件所有者的权限依次为：可读、可写、可执行。
-   中间三个bit位101表示同组用户的权限依次为：可读、不可写、可执行。
-   右侧三个bit位101表示其他用户的权限依次为：可读、不可写、可执行。

## umask值含义

当用户新创建文件或目录时，该文件或目录具有一个缺省权限。该缺省权限由umask值来指定。

umask值代表的是权限的“补码”，即用缺省最大权限值减去umask值得到实际权限值。文件的缺省最大权限为可读可写，目录的缺省最大权限为可读可写可执行。即一个文件的实际缺省权限为666减去umask值。目录的实际缺省权限为777减去umask值。

